# Uses of Interface
org.eclipse.emf.cdo.view.CDOFeatureAnalyzer

Packages that use CDOFeatureAnalyzer
Package
Description
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOFeatureAnalyzer in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOFeatureAnalyzer
Modifier and Type
Method
Description
`static CDOFeatureAnalyzer`
CDOUtil.`createModelBasedFeatureAnalyzer()`
`static CDOFeatureAnalyzer`
CDOUtil.`createUIFeatureAnalyzer()`
`static CDOFeatureAnalyzer`
CDOUtil.`createUIFeatureAnalyzer(long maxTimeBetweenOperation)`

## Uses of CDOFeatureAnalyzer in org.eclipse.emf.cdo.view

Fields in org.eclipse.emf.cdo.view declared as CDOFeatureAnalyzer
Modifier and Type
Field
Description
`static final CDOFeatureAnalyzer`
CDOFeatureAnalyzer.`NOOP`
Methods in org.eclipse.emf.cdo.view that return CDOFeatureAnalyzer
Modifier and Type
Method
Description
`CDOFeatureAnalyzer`
CDOView.Options.`getFeatureAnalyzer()`
Methods in org.eclipse.emf.cdo.view with parameters of type CDOFeatureAnalyzer
Modifier and Type
Method
Description
`void`
CDOView.Options.`setFeatureAnalyzer(CDOFeatureAnalyzer featureAnalyzer)`

## Uses of CDOFeatureAnalyzer in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOFeatureAnalyzer
Modifier and Type
Method
Description
`CDOFeatureAnalyzer`
InternalCDOView.`getFeatureAnalyzer()`
Deprecated.
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOFeatureAnalyzer
Modifier and Type
Method
Description
`void`
InternalCDOView.`setFeatureAnalyzer(CDOFeatureAnalyzer featureAnalyzer)`
Deprecated.